package com.atlassian.bitbucket.mesh.git.builder.mergetree;

import com.atlassian.bitbucket.mesh.git.merge.GitMergeConflict;

import javax.annotation.Nonnull;
import java.util.List;
import java.util.Set;

import static java.util.Objects.requireNonNull;

/**
 * @since 2.0
 */
public class MergeTreeResult {

    private final Set<String> binaryPaths;
    private final List<GitMergeConflict> conflicts;

    public MergeTreeResult(@Nonnull List<GitMergeConflict> conflicts, @Nonnull Set<String> binaryPaths) {
        this.conflicts = requireNonNull(conflicts, "conflicts");
        this.binaryPaths = requireNonNull(binaryPaths, "binaryPaths");
    }

    @Nonnull
    public Set<String> getBinaryPaths() {
        return binaryPaths;
    }

    @Nonnull
    public List<GitMergeConflict> getConflicts() {
        return conflicts;
    }
}
